View Issue Details

IDProjectCategoryView StatusLast Update
0004248unrealircdpublic2014-01-12 16:41
ReporterJobe1986Assigned Tosyzop 
PrioritynormalSeverityminorReproducibilityN/A
Status resolvedResolutionfixed 
Product Version3.2.10.2 
Target VersionFixed in Version3.2.10.3 
Summary0004248: svid length
DescriptionThe svid field of the user struct should ideally use its own macro for length such as SVIDLEN (does not yet exist) so if someone does choose to change NICKLEN it wont affect what services can use as an account name.
TagsNo tags attached.
3rd party modules

Activities

syzop

2014-01-12 16:41

administrator   ~0017888

http://hg.unrealircd.com/hg/unreal/rev/e09d960ccc93

Added SVIDLEN so this value is now separate from NICKLEN. Previously if you
would lower NICKLEN to 9 then services timestamps would be cut off. Reported
by Jobe (0004248).

Issue History

Date Modified Username Field Change
2013-12-07 18:20 Jobe1986 New Issue
2014-01-12 11:27 syzop Assigned To => syzop
2014-01-12 11:27 syzop Status new => assigned
2014-01-12 16:41 syzop Note Added: 0017888
2014-01-12 16:41 syzop Status assigned => resolved
2014-01-12 16:41 syzop Fixed in Version => 3.2.10.3
2014-01-12 16:41 syzop Resolution open => fixed
2014-03-14 01:14 peterkingalexander Issue cloned: 0004266